---
title: llarp::vpn::in6_ifreq

---

# llarp::vpn::in6_ifreq





## Public Attributes

|                | Name           |
| -------------- | -------------- |
| in6_addr | **[addr](Classes/structllarp_1_1vpn_1_1in6__ifreq.md#variable-addr)**  |
| uint32_t | **[prefixlen](Classes/structllarp_1_1vpn_1_1in6__ifreq.md#variable-prefixlen)**  |
| unsigned int | **[ifindex](Classes/structllarp_1_1vpn_1_1in6__ifreq.md#variable-ifindex)**  |

## Public Attributes Documentation

### variable addr

```cpp
in6_addr addr;
```


### variable prefixlen

```cpp
uint32_t prefixlen;
```


### variable ifindex

```cpp
unsigned int ifindex;
```


-------------------------------

Updated on 2023-01-09 at 19:27:44 +0000